package com.philisense.rdgo.bean.response;

/**
 * Created by shaop on 2017/12/15.
 */

public class UserInfoBean {
    /**
     * success : 0
     * message : 信息获取成功!
     * data : {"_id":"5a2f4275fd753d23d0fcbaf5","deleted":0,"isUse":0,"line":"11","warehouse":"11","factory":"1111","IDCard":"1111","sex":"woman","name":"22211","tokenTime":"2017-12-22T02:14:21.886Z","account":"2211"}
     */

    private int success;
    private String message;
    private DataBean data;

    public int getSuccess() {
        return success;
    }

    public void setSuccess(int success) {
        this.success = success;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public static class DataBean {
        /**
         * _id : 5a2f4275fd753d23d0fcbaf5
         * deleted : 0
         * isUse : 0
         * line : 11
         * warehouse : 11
         * factory : 1111
         * IDCard : 1111
         * sex : woman
         * name : 22211
         * tokenTime : 2017-12-22T02:14:21.886Z
         * account : 2211
         */

        private String _id;
        private int deleted;
        private int isUse;
        private String line;
        private String warehouse;
        private String warehouseCode;
        private String factory;
        private String IDCard;
        private String sex;
        private String name;
        private String tokenTime;
        private String account;

        public String getWarehouseCode() {
            return warehouseCode;
        }

        public void setWarehouseCode(String warehouseCode) {
            this.warehouseCode = warehouseCode;
        }

        public String get_id() {
            return _id;
        }

        public void set_id(String _id) {
            this._id = _id;
        }

        public int getDeleted() {
            return deleted;
        }

        public void setDeleted(int deleted) {
            this.deleted = deleted;
        }

        public int getIsUse() {
            return isUse;
        }

        public void setIsUse(int isUse) {
            this.isUse = isUse;
        }

        public String getLine() {
            return line;
        }

        public void setLine(String line) {
            this.line = line;
        }

        public String getWarehouse() {
            return warehouse;
        }

        public void setWarehouse(String warehouse) {
            this.warehouse = warehouse;
        }

        public String getFactory() {
            return factory;
        }

        public void setFactory(String factory) {
            this.factory = factory;
        }

        public String getIDCard() {
            return IDCard;
        }

        public void setIDCard(String IDCard) {
            this.IDCard = IDCard;
        }

        public String getSex() {
            return sex;
        }

        public void setSex(String sex) {
            this.sex = sex;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getTokenTime() {
            return tokenTime;
        }

        public void setTokenTime(String tokenTime) {
            this.tokenTime = tokenTime;
        }

        public String getAccount() {
            return account;
        }

        public void setAccount(String account) {
            this.account = account;
        }
    }
}
